Get Component Blueprint
curl --request GET \
--url https://api.sandbox.isometric.com/mrv/v0/component_blueprints/{key} \
--header 'Authorization: Bearer <token>' \
--header 'x-client-secret: <x-client-secret>'import requests
url = "https://api.sandbox.isometric.com/mrv/v0/component_blueprints/{key}"
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};
fetch('https://api.sandbox.isometric.com/mrv/v0/component_blueprints/{key}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "<string>",
"display_name": "<string>",
"expressions": [
{
"inputs": [
{
"data_shape": "SCALAR",
"input_key": "<string>",
"template_key": "<string>",
"type": "DATAPOINT"
}
],
"key": "<string>",
"template": "<string>"
}
],
"inputs": [
{
"compatible_unit": "<string>",
"data_shape": "SCALAR",
"description": "<string>",
"input_key": "<string>",
"quantity_kind": "acidity"
}
],
"key": "<string>",
"type": "ACTIVITY"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}Components
Get Component Blueprint
GET
/
component_blueprints
/
{key}
Get Component Blueprint
Individual component blueprint documentation can be found here
Authorizations
A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>
Headers
A secret token identifying the client connecting to the API
Example:
"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"
Path Parameters
Response
Successful Response
This field is exposed purely for documentation purposes. It shows how the inputs are processed to arrive at the component's output value.
Show child attributes
Show child attributes
List of inputs to the component blueprint. It documents what datapoints need to be provided when instantiating a component from it.
Show child attributes
Show child attributes
Available options:
ACTIVITY, REMOVAL_COUNTERFACTUAL, SEQUESTRATION, LOSS, ADJUSTMENT, REDUCTION, UNCERTAINTY_DISCOUNT Was this page helpful?